@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css");
@import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:wght@100;300;400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;700;900&display=swap');
@import "base/_base.scss";
@import "layout/_layout.scss";
@import "mixins/_mixins.scss";
@import "components/_components.scss";

body {
    font-family: $font-family-base;
}

.container{
    padding: 0 2%;
}

#logo {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    font-family: 'Barlow Semi Condensed', sans-serif;
    cursor: pointer;

    &.fixed{
        position: fixed;
        top: 50px;
        left: 50%;
        transform: translateX(-50%);
    }

    .main{
        font-family: 'Poppins Semi Condensed', sans-serif;
        color: $color-primary;
        font-weight: 900;
        // background: linear-gradient(to right, #30CFD0 0%, $color-primary 100%);
        // -webkit-background-clip: text;
        // -webkit-text-fill-color: transparent;
        @include text-gradient();
    }
    .slogan{
        font-family: 'Barlow Semi Condensed', sans-serif;
        color: $color-text-primary;
    }

    &.small{
        line-height: 20px;
        .main{
            font-size: 3rem;
            font-weight: 400;
            letter-spacing: 10px;
        }
        .slogan{
            font-size: .8rem;
            font-weight: 100;
        }
    }

    &.medium{
        line-height: 40px;

        .main{
            font-size: 3rem;
            font-weight: 400;
            letter-spacing: 10px;
        }
        .slogan{
            font-size: 1rem;
            font-weight: 100;
        }
    }

    &.small{
        .main {
            font-size: 1.5rem;
        }
    }
}

h1 {
    font-size: 3rem;
    font-weight: 400;
    margin-bottom: 1rem;
    color: $color-text-primary;
    color: rgb(50, 51, 56);
}

h2 {
    font-size: 1.5rem;
    font-weight: 700;
    color: $color-text-primary;
}

.share-link-block {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 300px;
}

.auth-page{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100vh;
    // background: rgb(97,97,255);
    // background: radial-gradient(circle, rgba(97,97,255,1) 0%, rgba(50,50,134,1) 100%);
    // background-image: linear-gradient(
    // 40deg,
    // hsl(240deg 100% 69%) 0%,
    // hsl(240deg 87% 68%) 16%,
    // hsl(240deg 74% 67%) 30%,
    // hsl(240deg 62% 66%) 45%,
    // hsl(240deg 50% 65%) 65%,
    // hsl(240deg 39% 63%) 100%
    // );
}

.auth-container {
    width: 100%;
    max-width: 700px;
    padding: 2rem;
}

.success-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.not-found {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    flex-direction: column;

    h1 {
        font-size: 5rem;
        font-weight: 100;
        margin-bottom: 1rem;
        color: $color-primary;
    }
}

.profil--rounded {
    border-radius: 5px;
    width: 100%;
    height: 600px;
    overflow: hidden;

    img{
        object-fit: cover;
        object-position: center;
    }
}

#services{
    .hidden{
        overflow: hidden;
    }
}

.video-service{
    transform: translateY(-19px);
    width: 100%;
}